#include "timeractorwidget.h"
#include "ui_timeractorwidget.h"

#include <QSpinBox>

TimerActorWidget::TimerActorWidget(std::shared_ptr<TimerActor> actor, QWidget *parent) :
	QWidget(parent),
	ui(new Ui::TimerActorWidget)
{
	ui->setupUi(this);

	ui->spinBox->setValue(actor->getTimeout());

	connect(ui->spinBox, SIGNAL(valueChanged(int)), actor.get(), SLOT(setTimeout(int)));
}

TimerActorWidget::~TimerActorWidget()
{
	delete ui;
}
